Check API health
GET
/health
const url = 'http://127.0.0.1:8000/health';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url http://127.0.0.1:8000/healthReturn a lightweight liveness response without accessing the database or model runtime.
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
HealthResponse
Liveness status for the API process.
object
status
required
Status
The API process is ready to accept requests.
string
Example
{ "status": "ok"}Unexpected server error.
Media typeapplication/json
ApiErrorResponse
Error returned by request validation or a ParseHawk domain service.
object
detail
required
Any of:
string
Array<object>
object
key
additional properties
any
Examplegenerated
{ "detail": [ {} ]}